<div class="input-date" {{did-insert this.setup}} {{did-update this.onChangeValue @value}} ...attributes>
  {{#if @allowUnset}}
    <div class="form-check form-switch pb-2">
      <Input @type="checkbox" @checked={{this.isSet}} id="{{this.elementId}}Enable" class="form-check-input" />
      <label class="form-check-label" for="{{this.elementId}}Enable">Enable</label>
    </div>
  {{/if}}

  {{#if this.isSet}}
    <div class="row g-0">
      {{#if this.allowDate}}
        <div class="col">
          <div class="form-floating">
            <Editor::Date @noContainer={{true}} class="form-control" @value={{this.valueDate}} @onChange={{this.onChange}}/>
            <label for="{{this.elementId}}-hour">{{t "date"}}</label>
          </div>
        </div>
      {{/if}}

      {{#if @allowTime}}
        <div class="col">
          <div class="form-floating">
            <select id="{{this.elementId}}-hour" class="form-select hour" disabled={{this.isNotSet}} {{on "change" this.updateValue}}>
              {{#each this.hours as |item|}}
                <option selected={{item.selected}}>{{item.hour}}</option>
              {{/each}}
            </select>
            <label for="{{this.elementId}}-hour">{{t "hour"}}</label>
          </div>
        </div>

        <div class="col">
          <div class="form-floating">
            <select id="{{this.elementId}}-minute" class="form-select minute" disabled={{this.isNotSet}} {{on "change" this.updateValue}}>
              {{#each this.minutes as |item|}}
                <option selected={{item.selected}}>{{item.minute}}</option>
              {{/each}}
            </select>
            <label for="{{this.elementId}}-minute">{{t "minute"}}</label>
          </div>
        </div>
      {{/if}}
      {{this.timezone}}
    </div>
  {{/if}}
</div>